//--------------------------------------------------------------------------------
// This file is part of the Windows Workflow Foundation Sample Code
//
// Copyright (c) Microsoft Corporation. All rights reserved.
//
// This source code is intended only as a supplement to Microsoft
// Development Tools and/or on-line documentation.  See these other
// materials for detailed information regarding Microsoft code samples.
// 
// THIS CODE AND INFORMATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//--------------------------------------------------------------------------------

using System;

namespace Microsoft.Samples.Workflow.UI
{
    public class Bookmark
    {
        string activityName;
        Guid interactionId;

        public Bookmark() { }

        public Bookmark(string activityName, Guid interactionId)
        {
            this.activityName = activityName;
            this.interactionId = interactionId;
        }

        public string ActivityName
        {
            get { return this.activityName; }
        }

        public Guid InteractionId
        {
            get { return this.interactionId; }
        }
    }
}
